<?xml version="1.0" encoding="Win-1251"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<include src="scroller.xml" />
	<composition name="CScrollHTML">
		<script>
			this.nowHeight=0;
			this.nowWidth=0;
			this.setScroll=1;

		</script>
		<script><![CDATA[
			this.scrollHeight = scroller.width;
			function loadHTML(src,h,w,scroll)
			{
				this.setScroll = 1;//true
				scroller.visible=false;
				if (scroll!=undefined  && h != null && !scroll)
				{
					this.setScroll = 0;
				}
				if (h!=undefined  && h != null)
				{
					this.nowHeight = h;
					scrollHTML.height = h;
					scroller.setScrollSize(h);
				}
				if (w!=undefined  && w != null)
				{
					this.nowWidth = w;
					scrollHTML.width = w - setScroll*scroller.b_scrollup.width;
				}
				scrollHTML.navigate( src);
			}
		]]></script>
		<browser name="scrollHTML" userEvents="onLoadHTML initScroller" width="400" height="200">
			<script>
				function initScroller()
				{
					trace("-- initScroller");
					this.execScript( ' document.body.style.overflowX="hidden"; document.body.style.overflowY="hidden";');
					this.parent.scroller.initialize( this, this.height, this.parent.scrollHeight - this.height,  10);		// установить объект для скроллинга, высоту окна прокрутки, общую высоту докумета, шаг прокрутки
					this.parent.scroller.attachToObject();	// прикрепить к объекту
					this.parent.scroller.reconstructScroller();		// показать скроллер
					this.parent.scroller.client.show();			// показать клиента (картинку в данном случае)
					if (parent.setScroll==1)
						this.parent.sqScrollCheck.rewindAndPlay();
					else
					{
						this.parent.sqScrollCheck.stop();
						parent.scroller.hide();
					}
				}
				function SetScrollHeight(h)
				{
					this.parent.scrollHeight = h;
					if (this.parent.scroller.scrollMax != h)
					{
						this.parent.scroller.setScrollHeight(h);
						this.parent.scroller.reconstructScroller();
					}
				}
				function SetScrollPos(h)
				{
					if( this.parent.scroller != 0)
					{
						this.parent.scroller.setSliderPos(h/this.parent.scroller.scrollMax);
					}
				}
			</script>
			<script>
				this.scrollTo = function(pos, horizontal)	// функция для определения поля вывода (вывести область с позиции (строки, пикселя и тд) pos)
				{
					if (horizontal==false)
					{
						pos = Math.round(pos);
						var scrollCmd ="document.body.scrollTop = "+pos+";";
						this.execScript( scrollCmd);
						//this.parent.seqTimedScroll.pos = Math.round(pos);
						//if( !this.parent.seqTimedScroll.playing)
						//	this.parent.seqTimedScroll.rewindAndPlay();
					}
				}
				// для скроллинга по колесу мыши
				this.isMouseOn = function(){
					if(Mouse.target != undefined){
						if(Mouse.target == this)
							return true;
					}
					return false;
				}
			</script>
		</browser>
		<composition _name="scroller" _class="CScrollerVertical" userProperties="slider=2;sheight=10" depth="-10"/>
		<sequencer name="sqScrollCheck" loop="true">
			<script>
				this.scrollHTML.execScript( "window.external.SetScrollHeight(document.body.scrollHeight);");
				this.scrollHTML.execScript( "window.external.SetScrollPos(document.body.scrollTop);");
				1000;
			</script>
		</sequencer>

		<!--
		<sequencer name="seqTimedScroll">
			<script>
				100;
			</script>
			<script>
				var scrollCmd ="document.body.scrollTop = "+this_seq.pos+";";
				this.scrollHTML.execScript( scrollCmd);
			</script>
		</sequencer>
		-->
	</composition>
</rmml>
